Bug 999585 - non-fatal systemtap scriptlet failure
non-fatal systemtap scriptlet failure
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemtap (Show other bugs)
7.0
ppc64 Linux
medium Severity medium
: beta
: ---
Assigned To: Frank Ch. Eigler
Martin Cermak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 11:46 EDT by Miroslav Franc
Modified: 2016-01-31 21:28 EST (History)
5 users (show)

See Also:
Fixed In Version: systemtap-2.4-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:31:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Franc 2013-08-21 11:46:38 EDT
Description of problem:
Systemtap tries to create symlinks in /usr/lib/jvm/*openjdk*/jre/lib/powerpc64, most likely it should be in /usr/lib/jvm/*openjdk*/jre/lib/ppc64.


Version-Release number of selected component (if applicable):
systemtap-runtime-java-2.3-1.el7.ppc64


Steps to Reproduce:
1. yum install systemtap-runtime-java


Actual results:
...
  Installing : systemtap-runtime-java-2.3-1.el7.ppc64                                                                                                                                 1/1 
ln: failed to create symbolic link ‘/usr/lib/jvm/*openjdk*/jre/lib/powerpc64/libHelperSDT_powerpc64.so’: No such file or directory
ln: failed to create symbolic link ‘/usr/lib/jvm/*openjdk*/jre/lib/powerpc64/../ext/HelperSDT.jar’: No such file or directory
warning: %triggerin(systemtap-runtime-java-2.3-1.el7.ppc64) scriptlet failed, exit status 1
Non-fatal <unknown> scriptlet failure in rpm package systemtap-runtime-java-2.3-1.el7.ppc64
...


Expected results:
no scriptlet failure
Comment 1 Frank Ch. Eigler 2013-08-27 10:56:10 EDT
upstream commits 1554f7e, 5a9457fc8
Comment 2 Mark Wielaard 2013-10-04 08:09:56 EDT
(In reply to Frank Ch. Eigler from comment #1)
> upstream commits 1554f7e, 5a9457fc8

That is commits 1553f7e and 5a9457fc8
                   ^
Comment 4 Ludek Smid 2014-06-13 05:31:23 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.